## lysdr 1.0~git20141206+dfsg1

=== wscript ===
#! /usr/bin/env python

# the following two variables are used by the target "waf dist"
VERSION='0.0.6'
APPNAME='lysdr'

# these variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

def options(opt):
    opt.tool_options('compiler_cc')

def configure(conf):
    conf.check_tool('compiler_cc')
    conf.check(header_name='stdlib.h')
    conf.check(header_name='math.h')
    
    # set for debugging
    conf.env.CCFLAGS = ['-O0', '-g3', '-ggdb']
    #conf.env.CCFLAGS +=  ['-DG_DISABLE_SINGLE_INCLUDES','-DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES', '-DGTK_DISABLE_SINGLE_INCLUDES']
    #conf.env.CCFLAGS +=  ["-DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED"]
    #conf.env.CCFLAGS += ["-DGSEAL_ENABLE"]

    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.6.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package = 'jack', uselib_store='JACK', atleast_version = '0.118.0', mandatory=True, args = '--cflags --libs')
    conf.check_cfg(package = 'fftw3', uselib_store='FFTW', atleast_version = '3.2.2', mandatory=True, args = '--cflags --libs')
    conf.check(lib=['m'], uselib_store='M')
    
def build(bld):
    # the main program
    bld(
        features = 'c cprogram',
        source = ['lysdr.c', 'sdr.c', 'filter.c', 'audio_jack.c', 'gui.c', 'smeter.c', 'waterfall.c'],
        target = 'lysdr',
        uselib = "GTK JACK FFTW M",
        includes = '. /usr/include ./waterfall')

## lysdr 1.0~git20141012+dfsg1

=== debian/changelog ===
lysdr (1.0~git20141012+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #764975)

 -- Iain R. Learmonth <irl@fsfe.org>  Sun, 12 Oct 2014 19:03:35 +0100

=== debian/control ===
Source: lysdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@fsfe.org>
Build-Depends: debhelper (>= 9),
               python (>= 2.7.0),
               pkg-config,
               libgtk2.0-dev,
               libjack-dev,
               libfftw3-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/lysdr.git
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/lysdr.git
Homepage: https://github.com/gordonjcp/lysdr

Package: lysdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple software-defined radio
 A simple SDR application that takes an IQ source, either a soundcard or a
 prerecorded file, and produces a waterfall and allows demodulation using either
 USB or LSB.

Package: lysdr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lysdr (= ${binary:Version})
Description: Simple software-defined radio -- debugging symbols
 A simple SDR application that takes an IQ source, either a soundcard or a
 prerecorded file, and produces a waterfall and allows demodulation using either
 USB or LSB.
 .
 This package contains the debugging symbols for lysdr.

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg1
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

%:
	dh $@

clean:
	dh $@
	./waf --nocache distclean
	find waflib -name "*.pyc" -delete

build:
	dh $@ --before configure
	./waf --nocache configure --prefix=/usr
	dh $@ --after configure --until build
	./waf --nocache build
	dh $@ --remaining

binary:
	dh $@ --until dh_auto_install
	./waf --nocache install --destdir=debian/lysdr
	dh $@ --remaining --before dh_strip
	dh_strip --dbg-package=lysdr-dbg
	dh $@ --remaining

get-orig-source:
	# get-orig-source to drop waf
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)

## lysdr 1.0~git20141206%2Bdfsg1

=== debian/changelog ===
lysdr (1.0~git20141206+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Simplified debian/rules.
  * No longer shipping an empty -dbg binary package.

 -- Iain R. Learmonth <irl@fsfe.org>  Wed, 12 Aug 2015 16:15:31 +0100

=== debian/watch ===
version=3

opts=dversionmangle=s/[~\+]dfsg[0-9]*// \
 https://github.com/gordonjcp/lysdr/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## lysdr 1.0~git20141206+dfsg1

=== debian/changelog ===
lysdr (1.0~git20141206+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database.
  * Update Vcs-* headers from vcswatch.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 10 Dec 2019 10:08:53 +0000

=== debian/control ===
Source: lysdr
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@fsfe.org>
Build-Depends: debhelper-compat (= 12),
               python (>= 2.7.0),
               pkg-config,
               libgtk2.0-dev,
               libjack-dev,
               libfftw3-dev
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/lysdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/lysdr.git
Homepage: https://github.com/gordonjcp/lysdr

Package: lysdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple software-defined radio
 A simple SDR application that takes an IQ source, either a soundcard or a
 prerecorded file, and produces a waterfall and allows demodulation using either
 USB or LSB.
